Package org.apache.maven.scm.provider.git.repository

## Class RepositoryUrl

- java.lang.Object
- - org.apache.maven.scm.provider.git.repository.RepositoryUrl

    public class RepositoryUrl
    extends java.lang.Object

This class is a container which holds information about repository URL.

Since:
  1.3
Author:
  Mark Struberg

### Constructor Summary

Constructors
`RepositoryUrl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHost()`
`java.lang.String` `getPassword()`
`java.lang.String` `getPath()`
`java.lang.String` `getPort()`
`java.lang.String` `getProtocol()`
`java.lang.String` `getUserName()`
`void` `setHost​(java.lang.String host)`
`void` `setPassword​(java.lang.String password)`
`void` `setPath​(java.lang.String path)`
`void` `setPort​(java.lang.String port)`
`void` `setProtocol​(java.lang.String protocol)`
`void` `setUserName​(java.lang.String userName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryUrl

    public RepositoryUrl()

### Method Detail

#### getProtocol

    public java.lang.String getProtocol()

#### setProtocol

    public void setProtocol​(java.lang.String protocol)

#### getHost

    public java.lang.String getHost()

#### setHost

    public void setHost​(java.lang.String host)

#### getPort

    public java.lang.String getPort()

#### setPort

    public void setPort​(java.lang.String port)

#### getPath

    public java.lang.String getPath()

#### setPath

    public void setPath​(java.lang.String path)

#### getUserName

    public java.lang.String getUserName()

#### setUserName

    public void setUserName​(java.lang.String userName)

#### getPassword

    public java.lang.String getPassword()

#### setPassword

    public void setPassword​(java.lang.String password)